Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453411 - perl-mogilefs-server not built for perl 5.10.0
Summary: perl-mogilefs-server not built for perl 5.10.0
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-MogileFS-Server
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F9_5.10_REBUILD
TreeView+ depends on / blocked
 
Reported: 2008-06-30 13:50 UTC by Paul Howarth
Modified: 2008-09-10 12:20 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 12:20:03 UTC


Attachments (Terms of Use)
Patch to add perl(:MODULE_COMPAT... dependencies to subpackages (deleted)
2008-06-30 13:50 UTC, Paul Howarth
no flags Details | Diff

Description Paul Howarth 2008-06-30 13:50:23 UTC
The F-9 packages of perl-mogilefs-server have modules in "perl 5.8.8" paths,
which are not found by F-9's perl 5.10.0. The package therefore needs rebuilding
for perl 5.10.0.

There was a mass rebuild of perl packages late in the F-9 development period but
this package missed out on it, possibly because it is missing some perl version
"module compat" dependencies (the main package has one but the subpackages,
which also install into versioned perl module directories don't) and hence
didn't have broken deps when perl was upgraded to 5.10.0.

Also, the bugzilla component for this package is perl-MogileFS-Server but the
package in cvs is perl-mogilefs-server, which seems a bit odd.

Comment 1 Paul Howarth 2008-06-30 13:50:23 UTC
Created attachment 310587 [details]
Patch to add perl(:MODULE_COMPAT... dependencies to subpackages

Comment 2 Ruben Kerkhof 2008-07-02 09:44:32 UTC
Thanks for noticing this Paul.
I'll have a look later this week.


Comment 3 Ruben Kerkhof 2008-09-10 12:20:03 UTC
Fixed in 2.17-6


Note You need to log in before you can comment on or make changes to this bug.